Subject: mix-build-system does not support git-version output
From: paul <[email-masked]>
To: [email-masked]
Date: Tue, 24 Sep 2024 18:14:52 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Dear Guix,

consider the following procedure invokation:

scheme@(guile-user)> (package-name->elixir-name "elixir-a-pkg-1.2.3")
$1 = "a_pkg"

This is the behaviour manifested when the procedure is called with a 
version created with the git-version procedure from (guix git-download):

scheme@(guile-user)> (package-name->elixir-name "a_pkg-0.0.0-0.e51e36e")
$1 = "a_pkg_0.0.0

while the expected behaviour would be:

scheme@(guile-user)> (package-name->elixir-name "a_pkg-0.0.0-0.e51e36e")
$1 = "a_pkg"

I'm sending a patch addressing this, thank you for your work!